package md

type CanalEnergyExchangeAccount struct {
	Id           string `json:"id"`
	Uid          string `json:"uid"`
	Direction    string `json:"direction"`
	Amount       string `json:"amount"`
	BeforeAmount string `json:"before_amount"`
	AfterAmount  string `json:"after_amount"`
	SysFee       string `json:"sys_fee"`
	OrdId        string `json:"ord_id"`
	Title        string `json:"title"`
	Kind         string `json:"kind"`
	State        string `json:"state"`
	Memo         string `json:"memo"`
	CreateAt     string `json:"create_at"`
	UpdateAt     string `json:"update_at"`
}

type CanalEnergyExchangeAccountMessage[T any] struct {
	Data     []T      `json:"data"`
	Database string   `json:"database"`
	ES       int64    `json:"es"`
	ID       int64    `json:"id"`
	IsDdl    bool     `json:"isDdl"`
	Old      []T      `json:"old"`
	PkNames  []string `json:"pkNames"`
	Table    string   `json:"table"`
	TS       int64    `json:"ts"`
	Type     string   `json:"type"`
}
